std::poisson_distribution< _IntType >::param_type Struct Reference
Numerics » Random Number Generation » Random Number Distributions » Poisson Distributions

`#include <random.h>`

## Public Types

typedef poisson_distribution< _IntType > | distribution_type

## Public Member Functions

| param_type (double __mean)
double | mean () const

## Friends

bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)
class | poisson_distribution< _IntType >

## Detailed Description

template<typename _IntType = int>
struct std::poisson_distribution< _IntType >::param_type

Parameter type.

Definition at line 4431 of file random.h.

## Member Typedef Documentation

## distribution_type

template<typename _IntType = int>

typedef poisson_distribution<_IntType> std::poisson_distribution< _IntType >::param_type::distribution_type

Definition at line 4433 of file random.h.

## Constructor & Destructor Documentation

## param_type() [1/2]

template<typename _IntType = int>

std::poisson_distribution< _IntType >::param_type::param_type | ( |  | ) |

inline

Definition at line 4436 of file random.h.

## param_type() [2/2]

template<typename _IntType = int>

std::poisson_distribution< _IntType >::param_type::param_type | ( | double | __mean | ) |

inline explicit

Definition at line 4439 of file random.h.

## Member Function Documentation

## mean()

template<typename _IntType = int>

double std::poisson_distribution< _IntType >::param_type::mean | ( |  | ) | const

inline

Definition at line 4447 of file random.h.

## Friends And Related Symbol Documentation

## operator!=

template<typename _IntType = int>

bool operator!= | ( | const param_type & | __p1,
|  | const param_type & | __p2
| ) |  |

friend

Definition at line 4455 of file random.h.

## operator==

template<typename _IntType = int>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2
| ) |  |

friend

Definition at line 4451 of file random.h.

## poisson_distribution< _IntType >

template<typename _IntType = int>

friend class poisson_distribution< _IntType >

friend

Definition at line 4433 of file random.h.

The documentation for this struct was generated from the following files:

- random.h
- bits/random.tcc